# External Device Manager

External Device Manager (EDM) software to in the distribuines of GNU/Linux.

##Screenshot

![Screenshot](screenshot.png)

## Goal

Graphical User Interface to manage the external device to storage 

## Qt Linguist translation files

To update the files of execute in an emulator of terminal the following 
commando: ./make_ts.sh

To generate the archives of message from Qt Linguist translation files 
execute in an emulator of terminal the following commando: ./make_qm.sh

It includes files of translation stops: English and Spanish. If it wishes 
to include another language follow these steps:
  0- From an editor of text edit the file: src/Resizeimage.pro
  1- In the section "TRANSLATIONS" add: " \" (press the keys: space + backslash) 
     at the end of the line: resources/i18n/i18n_en.ts  
  2- Press "Enter" to add a new line
  3- In the line created write: resources/i18n/i18n_xx.ts
  4- Execute the script: make_ts.sh and make_qm.sh

 Note:
 The xx in the step (3) are the letters of the language; example: es -> Spanish

For more information can consult the help executing from an emulator of terminal:
  - man lupdate
  - man lrelease

## Build and requirements

Requirements:
  - libqt4-dev    (>=4:4.8.6)
  - qt4-dev-tools (>=4:4.8.6)

Execute this commands to build EDM:
  - ./configure
  - make

## Debian package and requirements

Requirements:
  - dpkg      (>=1.17.26)
  - dpkg-dev  (>=1.17.26)
  - coreutils (>=8.23-4)

Debian package:
 Use the script file makeDeb.sh to build them

## Installation and requirements

Requirements:

  - libqt4-gui  (>=4:4.8.6) 
  - libqtgui4   (>=4:4.8.6) 
  - libqt4-core (>=4:4.8.6) 
  - libqtcore4  (>=4:4.8.6)
  - libqt4-xml  (>=4:4.8.6)
  - libqt4-dbus (>=4:4.8.6)
  - libqtdbus4  (>=4:4.8.6)
  - qdbus       (>=4:4.8.6)
  - coreutils   (>=8.23-4)
  - dbus        (>=1.8.20)
  - udisks2     (>=2.1.3-5)
  - libc6       (>=2.19-18)
  

To install:

 Before install EDM you need build the Debian package if not exist. 
 Then use apt commands to install.


## Acknowledgements

EDM uses the following libraries and programs:

  - [Qt Framework](http://www.qt.io/)
  - [Coreutils](http://www.gnu.org)
  - [Udisks2](http://www.freedesktop.org/wiki/Software/udisks)
 
You should have installed these programs and libraries for the proper 
functioning of EDM.


## Licensing and Patents

EDM is licenced under GNU General Public License Version 2.0, more info 
at [http://www.gnu.org/licenses/gpl.html](http://www.gnu.org/licenses/gpl.html)

## Authors and Copyright

Code & Artwork by: 
    
 - [Maikel Enrique Pernía Matos](mailto:perniamatos@infomed.sld.cu)
 
Contributors:

 - [GlobalShortcut module of the Qxt library](http://libqxt.org)
 
Internationalise:
 - Spanish [Maikel Enrique Pernía Matos](mailto:perniamatos@infomed.sld.cu)
 - English [Maikel Enrique Pernía Matos](mailto:perniamatos@infomed.sld.cu)
 
